"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutsBuilder = void 0;
const devBuilder_1 = require("./devBuilder");
const webpack_config_1 = __importDefault(require("../layout/webpack.config"));
const webpack_1 = __importDefault(require("webpack"));
class LayoutsBuilder extends devBuilder_1.DevBuilder {
    async getCompiler(options) {
        const devConfig = await this.getDevConfig(options);
        const layoutConfig = await webpack_config_1.default(devConfig, options);
        return webpack_1.default(layoutConfig);
    }
}
exports.LayoutsBuilder = LayoutsBuilder;
//# sourceMappingURL=layoutsBuilder.js.map