"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const minimizers_1 = require("@ewizardjs/builder-utils/minimizers");
exports.default = () => {
    return minimizers_1.jsMinimizer({
        cache: false,
        terserOptions: {
            warnings: true,
            compress: false,
            mangle: false,
            output: {
                beautify: true,
                comments: false,
            },
            keep_classnames: true,
            keep_fnames: true,
        },
        extractComments: false,
    });
};
//# sourceMappingURL=jsMinimizer.js.map