"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.filename = void 0;
const webpack_merge_1 = __importDefault(require("webpack-merge"));
exports.filename = 'build/dev/templates.js';
const templatesConfig = {
    entry: require.resolve('../../assets/entry-templates.js'),
    mode: 'production',
    devtool: false,
    output: {
        filename: exports.filename,
        library: 'Templates',
        libraryTarget: 'window',
    },
    performance: {
        hints: false,
    },
};
exports.default = (config) => {
    return webpack_merge_1.default(config, templatesConfig);
};
//# sourceMappingURL=webpack.config.js.map