import { Plugin, Compiler } from 'webpack';
interface CommonChunksOptions {
    live: boolean;
    watch: boolean;
}
export default class InjectCommonChunksPlugin implements Plugin {
    private live;
    private watch;
    constructor({ live, watch }?: CommonChunksOptions);
    apply(compiler: Compiler): void;
    private isTemplatesBuild;
    private cleanHtmlFromChunks;
    private getCommonChunks;
    private appendChunksToHtml;
    private parseHtml;
    private updateAsset;
}
export {};
