/* eslint-disable */
if(process.env.CONTENT_TYPE === ContentTypes.EDETAILER) {
  require("core-js/stable");
  require("regenerator-runtime/runtime");
  // require('@/App.vue'); FIX: EWP-34705;
  if (window.__publicPath) {
    const templatesDir = /\/$/.test(window.__publicPath) ? 'templates/' : '/templates/';
    __webpack_public_path__ = window.__publicPath + templatesDir;
  } else {
    __webpack_public_path__ = './templates/';
  }

  const structure = require('@/structure.json');

  const { storyboard, chapters, slides } = structure;
  const usedSlides = storyboard.reduce(
    (result, chapter) => [...result, ...chapters[chapter].content],
    [],
  );
  const templates = usedSlides.map(slide => {
    const component = require(`@/slides/${slide}/index.vue`).default;
    const thumbnail = require(`@/slides/${slide}/media/images/thumb.jpg`);

    component.templateName = slides[slide].name;
    component.templateThumbnail = thumbnail;

    return component;
  });

  module.exports = { templates, structure };
}
