export function getCurrentTheme(settings) {
  if (settings.getCurrentTheme) {
    return settings.getCurrentTheme();
  }
  return settings.getRawByPath('theme', '');
}

export function setPropManifestToWindow(manifest, prop, windowProp) {
  const propExist = manifest[prop] !== undefined;
  if (propExist) {
    window[windowProp] = window[windowProp].concat(manifest[prop]);
  }
  window[windowProp] = window[windowProp].concat([]);
}
